Soniox

Get concurrency limits

Current concurrent counts plus configured concurrency limits for the project and its organization. Region-scoped.

GET
https://api.soniox.com/v1/concurrency-limits

Current concurrent counts plus configured concurrency limits for the project and its organization. Region-scoped.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Response

200

Current counts and configured limits.

projectRequiredobject
organizationRequiredobject

Errors

Current counts and configured limits.

{
  "project": {
    "current": {
      "transcribe_concurrent": 2,
      "tts_concurrent": 0
    },
    "limits": {
      "transcribe_concurrent": 4,
      "tts_concurrent": 1
    }
  },
  "organization": {
    "current": {
      "transcribe_concurrent": 5,
      "tts_concurrent": 1
    },
    "limits": {
      "transcribe_concurrent": 10,
      "tts_concurrent": 2
    }
  }
}

Bad Request

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Authentication error.

{
  "status_code": 401,
  "error_type": "unauthenticated",
  "message": "Incorrect API key provided. You can get an API key at https://console.soniox.com",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda"
}

Rate or usage limit exceeded.

Error types:

  • limit_exceeded:
    • Requests per minute limit has been exceeded for your organization.
    • Requests per minute limit has been exceeded for your project.

{
  "status_code": 429,
  "error_type": "limit_exceeded",
  "message": "Requests per minute limit has been exceeded for your organization.",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda"
}

Internal server error.

{
  "status_code": 500,
  "error_type": "internal_error",
  "message": "The server encountered an error. Please try again. If the issue persists contact support@soniox.com.",
  "validation_errors": [],
  "request_id": "3d37a3bd-5078-47ee-a369-b204e3bbedda"
}